
Application: gvSIG desktop - gvSIG bugs #3067
Aviso en el log de "notify close in a resource already closed"
12/16/2014 12:15 PM - Joaquín  del Cerro Murciano

Status: New % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:
Category: Vector editing
Target version:
Severity: Minor Add-on version:
gvSIG version: 2.1.0 Add-on build:
gvSIG build: 2260 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

- Creamos una capa de puntos aleatorios desde la toolbox de geoprocesos
- Ponemos la capa en edicion.
- Añadimos un punto
- Terminamos la edicion diciendo que guarde.

En principio parece que lo hace bien, el usuario no aprecia ningun error, pero en el fichero de log de gvSIG aparece el siguiente
mensaje:

WARN AWT-EventQueue-0 org.gvsig.fmap.dal.resource.spi.AbstractResource - notify close in a resource already closed
(DynClass name: FileResourceParameters;  Fields: [file =
C:\DOCUME~1\devel\CONFIG~1\Temp\tmp-andami\14187273131660.shp]).
java.lang.IllegalStateException
    at org.gvsig.fmap.dal.resource.spi.AbstractResource.notifyClose(AbstractResource.java:167)
    at org.gvsig.fmap.dal.resource.spi.MultiResource.notifyClose(MultiResource.java:149)
    at org.gvsig.fmap.dal.store.shp.SHPStoreProvider.resourcesNotifyClose(SHPStoreProvider.java:178)
    at org.gvsig.fmap.dal.store.dbf.DBFStoreProvider$5.run(DBFStoreProvider.java:650)
    at org.gvsig.fmap.dal.resource.spi.AbstractResource.performExecution(AbstractResource.java:327)
    at org.gvsig.fmap.dal.resource.spi.AbstractResource.execute(AbstractResource.java:316)
    at org.gvsig.fmap.dal.store.dbf.DBFStoreProvider.close(DBFStoreProvider.java:648)
    at org.gvsig.fmap.dal.store.shp.SHPStoreProvider$3.run(SHPStoreProvider.java:507)
    at org.gvsig.fmap.dal.resource.spi.AbstractResource.performExecution(AbstractResource.java:327)
    at org.gvsig.fmap.dal.resource.spi.AbstractResource.execute(AbstractResource.java:316)
    at org.gvsig.fmap.dal.store.shp.SHPStoreProvider.performChanges(SHPStoreProvider.java:477)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.finishEditing(DefaultFeatureStore.java:1206)
    at org.gvsig.editing.EditionManager.stopEditLayer(EditionManager.java:767)
    at org.gvsig.editing.StopEditing.execute(StopEditing.java:139)
    at org.gvsig.andami.plugins.ExtensionHelper.execute(ExtensionHelper.java:58)

Al parecer alguien esta intentando cerrar un recurso ya cerrado. Puede ser por que se cierre dos veces seguidas el recurso, o por
que se haya abierto el fichero shape sin notificarlo al recurso.

No tengo muy claro si puede tener alguna repercusion mas alla del mensaje en el log, pero cuando haya un rato habria que mirarlo.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 2583: Can't save a tempo... Closed 06/19/2014

History
#1 - 12/16/2014 12:16 PM - Joaquín  del Cerro Murciano
- Related to gvSIG bugs #2583: Can't save a temporary layer added

#2 - 01/27/2015 02:17 PM - Álvaro Anguix
- Category set to Vector editing
